Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlRadioRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRadioRendererBase

    public class HtmlRadioRendererBase

extends HtmlRenderer

Version:
  $Revision: 673826 $ $Date: 2008-07-03 16:43:52 -0500 (Thu, 03 Jul 2008) $
Author:
  Manfred Geiler (latest modification by $Author: skitching $), Thomas Spiegl

Constructor Summary
`HtmlRadioRendererBase()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, Object submittedValue)`
`protected String` | `getLayout(javax.faces.component.UIComponent selectOne)`
`protected String` | `getStyleClass(javax.faces.component.UISelectOne selectOne)`
`protected boolean` | `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected void` | `renderGroupOrItemRadio(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, javax.faces.model.SelectItem selectItem, Object currentValue, javax.faces.convert.Converter converter, boolean pageDirectionLayout)`
`protected void` | `renderRadio(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, String value, String label, boolean disabled, boolean checked, boolean renderId)`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, encodeChildren, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlRadioRendererBase

    public HtmlRadioRendererBase()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws IOException

  Overrides:
    `encodeEnd` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`

### getLayout

    protected String getLayout(javax.faces.component.UIComponent selectOne)

### getStyleClass

    protected String getStyleClass(javax.faces.component.UISelectOne selectOne)

### renderGroupOrItemRadio

    protected void renderGroupOrItemRadio(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent uiComponent,
                                          javax.faces.model.SelectItem selectItem,
                                          Object currentValue,
                                          javax.faces.convert.Converter converter,
                                          boolean pageDirectionLayout)
                                   throws IOException

  Throws:
    `IOException`

### renderRadio

    protected void renderRadio(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent uiComponent,
                               String value,
                               String label,
                               boolean disabled,
                               boolean checked,
                               boolean renderId)
                        throws IOException

  Throws:
    `IOException`

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

  Overrides:
    `decode` in class `javax.faces.render.Renderer`

### getConvertedValue

    public Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent uiComponent,
                                    Object submittedValue)
                             throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `javax.faces.render.Renderer`
  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.